package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFD56 extends MwfRequest<MWFD56, MWFD56Response> {

    @Parameter(name = "CSouhlasCUR")
    MWFD56 cSouhlasCUR(String cSouhlasCUR);
    @Parameter(name = "IDSystem")
    MWFD56 iDSystem(Long iDSystem);
    @Parameter(name = "IDZaznamuUziv")
    MWFD56 iDZaznamuUziv(Long iDZaznamuUziv);
    @Parameter(name = "JednaciCislo")
    MWFD56 jednaciCislo(String jednaciCislo);
    @Parameter(name = "Jmeno")
    MWFD56 jmeno(String jmeno);
    @Parameter(name = "Prijmeni")
    MWFD56 prijmeni(String prijmeni);
    @Parameter(name = "Propsat")
    MWFD56 propsat(Long propsat);
    @Parameter(name = "RC")
    MWFD56 rc(String rc);
}
